import java.util.Arrays;
import java.util.Collections;
import java.util.Scanner;

public class Test {

	public static void main(String[] args) {
		Scanner in = new Scanner(System.in);
		String[] broj1 = in.next().split("");
		String[] broj2 = in.next().split("");
		in.close();
		Collections.reverse(Arrays.asList(broj1));
		Collections.reverse(Arrays.asList(broj2));
		String broj3 = "";
		int i = 0;
		while(i < broj2.length && i < broj1.length) {
			if(broj1[i].equals(broj2[i])) {
				broj3 = broj1[i] + broj3;
				broj3 = broj1[i] + broj3;
			}
			else if(broj1[i].compareTo(broj2[i]) > 0)
				broj3 = broj1[i] + broj3;
			else
				broj3 = broj2[i] + broj3;
			i++;
		}
		if(i == broj2.length)
			for (int j = i; j < broj1.length; j++)
				broj3 = broj1[j] + broj3;
		else
			for (int j = i; j < broj2.length; j++)
				broj3 = broj2[j] + broj3;
		System.out.println(broj3);
	}
}